<?php
$directory = '../../../alva/conversations/';
$files = glob($directory . '*.json');
usort($files, function ($a, $b) {
    return filemtime($b) - filemtime($a); // Dosya değiştirme zamanını karşılaştır
});
$latestFile = basename($files[0]); // Dosya adı
$latestFileTime = date("Y-m-d H:i:s", filemtime($files[0])); // Dosya oluşturulma zamanı
echo json_encode([
    'latest_file' => $latestFile,
    'created_at' => $latestFileTime
]);
?>